Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.franz.agbase
Enum SPARQLQueryConstants.ENGINE

    java.lang.Object
      java.lang.Enum<SPARQLQueryConstants.ENGINE>
          com.franz.agbase.SPARQLQueryConstants.ENGINE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SPARQLQueryConstants.ENGINE>

Enclosing interface:
  SPARQLQueryConstants

    public static enum SPARQLQueryConstants.ENGINE

extends java.lang.Enum<SPARQLQueryConstants.ENGINE>

Identify the query engine used by the SPARQL query processor. See the AllegroGraph SPARQL documentation for details.

Enum Constant Summary
`AG2`
`ALGEBRA`

Field Summary
`static java.lang.String` | `attrName`

Method Summary
`java.lang.String` | `value()`
`static SPARQLQueryConstants.ENGINE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SPARQLQueryConstants.ENGINE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AG2

    public static final SPARQLQueryConstants.ENGINE AG2

### ALGEBRA

    public static final SPARQLQueryConstants.ENGINE ALGEBRA

Field Detail

### attrName

    public static final java.lang.String attrName

See Also:
  Constant Field Values

Method Detail

### values

    public static final SPARQLQueryConstants.ENGINE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SPARQLQueryConstants.ENGINE c : SPARQLQueryConstants.ENGINE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SPARQLQueryConstants.ENGINE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public java.lang.String value()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD